/**
 * Copyright (C) 2007-2013 eBay Inc. All Rights Reserved.
 */

pref("extensions.{62760FD6-B943-48C9-AB09-F99C6FE96088}.name", "chrome://ebaycompanion/locale/strings.properties");
pref("extensions.{62760FD6-B943-48C9-AB09-F99C6FE96088}.description", "chrome://ebaycompanion/locale/strings.properties");

/* Logging */
pref("extensions.ebaycomp.common.logger.appender", "rotating");
pref("extensions.ebaycomp.common.logger.level", "Error");

//TODO: Set the right url (eBay...)
/* Tracking */
pref("extensions.ebaycomp.common.trackingReporter.postUrl", "http://prm-log.ebay.com/upload.php");

/* Icon */
pref("extensions.ebaycomp.common.icon", true);
pref("extensions.ebaycomp.common.iconName", "eBay Sidebar for Firefox");

/* Debugging */
pref("extensions.ebaycomp.debugging.enabled", false);
pref("extensions.ebaycomp.debugging.activityLogger.enabled", true);
pref("extensions.ebaycomp.debugging.activityLogger.postUrl", "http://localhost:3000/submit");
pref("extensions.ebaycomp.debugging.logApiEvents", true);
pref("extensions.ebaycomp.debugging.logDatasourceEvents", true);
pref("extensions.ebaycomp.debugging.runUnitTests", true);

/* General */
pref("extensions.ebaycomp.firstRun", true);
pref("extensions.ebaycomp.firstSignIn", true);
pref("extensions.ebaycomp.reportUpgrade", false);
pref("extensions.ebaycomp.searchbox.showSuggestions", true);
pref("extensions.ebaycomp.useRegistrationSite", true);
pref("extensions.ebaycomp.openPagesInNewTab", true);
pref("extensions.ebaycomp.notifyNewMessages", true);
pref("extensions.ebaycomp.notifyFeedback", true);
pref("extensions.ebaycomp.connectAutomatically", true);
pref("extensions.ebaycomp.dealsTabEnabled", true);
pref("extensions.ebaycomp.enable.deals.api.requests", true);
pref("extensions.ebaycomp.tracking.userPrompted", false);
pref("extensions.ebaycomp.tracking.dismissData", false);
pref("extensions.ebaycomp.tracking.forceSubmit", false);
pref("extensions.ebaycomp.tracking.serverEnabled", true);
pref("extensions.ebaycomp.default.tab", 1);
pref("extensions.ebaycomp.default.view", 1);
pref("extensions.ebaycomp.deals.enabled", true);

/* Alerts. */
pref("extensions.ebaycomp.alerts.enableSound", true);
pref("extensions.ebaycomp.alerts.watching.endingSoon.isEnabled", true);
pref("extensions.ebaycomp.alerts.watching.endingSoon.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.endingSoon.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.endingSoon.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.outbid.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.outbid.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.highBidder.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.highBidder.isPrimary", false);
pref("extensions.ebaycomp.alerts.bidding.raisedBid.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.raisedBid.isPrimary", false);
pref("extensions.ebaycomp.alerts.bidding.itemWon.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.itemWon.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.itemLost.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.itemLost.isPrimary", false);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.declined.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.declined.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.expired.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.expired.isPrimary", false);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.countered.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.countered.isPrimary", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.itemWon.isEnabled", true);
pref("extensions.ebaycomp.alerts.bidding.bestOffer.itemWon.isPrimary", true);
pref("extensions.ebaycomp.alerts.selling.endingSoon.isEnabled", false);
pref("extensions.ebaycomp.alerts.selling.endingSoon.isPrimary", false);
pref("extensions.ebaycomp.alerts.selling.itemSold.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.itemSold.isPrimary", true);
pref("extensions.ebaycomp.alerts.selling.itemUnsold.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.itemUnsold.isPrimary", false);
pref("extensions.ebaycomp.alerts.selling.bidPlaced.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.bidPlaced.isPrimary", false);
pref("extensions.ebaycomp.alerts.selling.reserveMet.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.reserveMet.isPrimary", false);
pref("extensions.ebaycomp.alerts.selling.bestOffer.itemSold.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.bestOffer.itemSold.isPrimary", true);
pref("extensions.ebaycomp.alerts.selling.bestOffer.newOffer.isEnabled", true);
pref("extensions.ebaycomp.alerts.selling.bestOffer.newOffer.isPrimary", true);

pref("extensions.ebaycomp.alerts.newFeedback.isEnabled", true);
pref("extensions.ebaycomp.alerts.newFeedback.isPrimary", true);
pref("extensions.ebaycomp.alerts.feedbackScore.isEnabled", true);
pref("extensions.ebaycomp.alerts.feedbackScore.isPrimary", true);
